%define upstream_name	 IO-Socket-INET6
%define upstream_version 2.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object interface for AF_INET|AF_INET6 domain sockets
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Socket)
BuildRequires: perl(Socket6) >= 0.120.0
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
IO::Socket::INET6 provides an object interface to creating and using sockets in
both AF_INET|AF_INET6 domain. It is built upon the IO::Socket interface and
inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IO
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.730.0-2.mga9
+ Revision: 1815780
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 2.730.0-1.mga9
+ Revision: 1761834
- update to 2.73

* Wed Feb 12 2020 umeabot <umeabot> 2.720.0-8.mga8
+ Revision: 1495156
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.720.0-7.mga7
+ Revision: 1268831
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.720.0-6.mga6
+ Revision: 1028778
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.720.0-5.mga6
+ Revision: 948770
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 2.720.0-4.mga5
+ Revision: 788339
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.720.0-3.mga5
+ Revision: 749741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.720.0-2.mga5
+ Revision: 685077
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.720.0-1.mga5
+ Revision: 588430
- update to 2.72

* Sat Oct 19 2013 umeabot <umeabot> 2.710.0-2.mga4
+ Revision: 528709
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 2.710.0-1.mga4
+ Revision: 446998
- update to 2.71

* Fri Jun 07 2013 jquelin <jquelin> 2.700.0-1.mga4
+ Revision: 439416
- update to 2.70

* Sun Jan 13 2013 umeabot <umeabot> 2.690.0-2.mga3
+ Revision: 368535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 2.690.0-1.mga2
+ Revision: 175225
- update to 2.69

* Tue Feb 01 2011 dmorgan <dmorgan> 2.670.0-1.mga1
+ Revision: 46025
- New version

* Sat Jan 22 2011 jquelin <jquelin> 2.650.0-2.mga1
+ Revision: 32094
- mageia rebuild
- imported package perl-IO-Socket-INET6


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.650.0-2mdv2011.0
+ Revision: 564735
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.650.0-1mdv2011.0
+ Revision: 552325
- update to 2.65

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 2.610.0-1mdv2010.1
+ Revision: 527735
- update to 2.61

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2.590.0-1mdv2010.1
+ Revision: 526447
- update to 2.59

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 2.570.0-1mdv2010.1
+ Revision: 469441
- update to 2.57

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.560.0-1mdv2010.0
+ Revision: 402558
- update to 0.56

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.56-1mdv2009.1
+ Revision: 292187
- update to new version 2.56

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.54-2mdv2009.0
+ Revision: 223797
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.54-1mdv2008.1
+ Revision: 174667
- update to new version 2.54
- update to new version 2.54

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.53-1mdv2008.1
+ Revision: 173869
- update to new version 2.53

* Wed Feb 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.52-1mdv2008.1
+ Revision: 162987
- new version
  drop patch, merged upstream

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.51-2mdv2008.1
+ Revision: 154096
- fix #36889 (IO-Socket-INET6 emits many warnings):
  - Added the patch with the fixes to the export / import symbols warnings
    and the testing (Shlomi Fish).
  - Restored the "percent-check" phase with "make test" (Shlomi Fish).

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 2.51-1mdk
- initial mandrake package

